[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/iptables/FC-6 iptables-1.3.8-headers.patch, NONE, 1.1 iptables-1.3.8-iptc.patch, NONE, 1.1 .cvsignore, 1.18, 1.19 iptables.init, 1.11, 1.12 iptables.spec, 1.43, 1.44 sources, 1.18, 1.19 iptables-1.2.10-counters.patch, 1.1, NONE iptables-1.2.11-autoload.patch, 1.1, NONE iptables-1.2.11-cleanup.patch, 1.1, NONE iptables-1.2.11-free.patch, 1.1, NONE iptables-1.2.8-nolibnsl.patch, 1.1, NONE iptables-1.2.9-netlink.patch, 1.1, NONE iptables-1.2.9-selinux.patch, 1.1, NONE iptables-1.3.0-autoload.patch, 1.1, NONE iptables-1.3.0-cleanup.patch, 1.2, NONE iptables-1.3.0-no_root.patch, 1.1, NONE iptables-1.3.0-selinux.patch, 1.1, NONE iptables-1.3.2-free_opts.patch, 1.1, NONE iptables-1.3.5-secmark.patch, 1.1, NONE



Author: twoerner

Update of /cvs/dist/rpms/iptables/FC-6
In directory cvs.devel.redhat.com:/tmp/cvs-serv3012

Modified Files:
	.cvsignore iptables.init iptables.spec sources 
Added Files:
	iptables-1.3.8-headers.patch iptables-1.3.8-iptc.patch 
Removed Files:
	iptables-1.2.10-counters.patch iptables-1.2.11-autoload.patch 
	iptables-1.2.11-cleanup.patch iptables-1.2.11-free.patch 
	iptables-1.2.8-nolibnsl.patch iptables-1.2.9-netlink.patch 
	iptables-1.2.9-selinux.patch iptables-1.3.0-autoload.patch 
	iptables-1.3.0-cleanup.patch iptables-1.3.0-no_root.patch 
	iptables-1.3.0-selinux.patch iptables-1.3.2-free_opts.patch 
	iptables-1.3.5-secmark.patch 
Log Message:
- 1.3.8-2 for FC-6


iptables-1.3.8-headers.patch:
 .CLUSTERIP-test   |    2 +-
 .ah-test6         |    2 +-
 .frag-test6       |    2 +-
 .ipv6header-test6 |    2 +-
 .opts-test6       |    2 +-
 .rt-test6         |    2 +-
 .statistic-test   |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

--- NEW FILE iptables-1.3.8-headers.patch ---
diff -up iptables-1.3.8/extensions/.frag-test6.headers iptables-1.3.8/extensions/.frag-test6
--- iptables-1.3.8/extensions/.frag-test6.headers	2007-08-23 14:05:44.000000000 +0200
+++ iptables-1.3.8/extensions/.frag-test6	2007-08-23 15:51:17.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_frag.c -a -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_frag.h ] && echo frag
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_frag.h ] && echo frag
diff -up iptables-1.3.8/extensions/.CLUSTERIP-test.headers iptables-1.3.8/extensions/.CLUSTERIP-test
--- iptables-1.3.8/extensions/.CLUSTERIP-test.headers	2007-08-23 15:43:36.000000000 +0200
+++ iptables-1.3.8/extensions/.CLUSTERIP-test	2007-08-23 15:45:32.000000000 +0200
@@ -1,2 +1,2 @@
 #! /bin/sh
-[ -f $KERNEL_DIR/net/ipv4/netfilter/ipt_CLUSTERIP.c ] && echo CLUSTERIP
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv4/ipt_CLUSTERIP.h ] && echo CLUSTERIP
diff -up iptables-1.3.8/extensions/.statistic-test.headers iptables-1.3.8/extensions/.statistic-test
--- iptables-1.3.8/extensions/.statistic-test.headers	2007-08-23 15:46:20.000000000 +0200
+++ iptables-1.3.8/extensions/.statistic-test	2007-08-23 15:46:22.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/netfilter/xt_statistic.c -a -f $KERNEL_DIR/include/linux/netfilter/xt_statistic.h ] && echo statistic
+[ -f $KERNEL_DIR/include/linux/netfilter/xt_statistic.h ] && echo statistic
diff -up iptables-1.3.8/extensions/.ah-test6.headers iptables-1.3.8/extensions/.ah-test6
--- iptables-1.3.8/extensions/.ah-test6.headers	2007-08-23 15:52:48.000000000 +0200
+++ iptables-1.3.8/extensions/.ah-test6	2007-08-23 15:52:49.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_ah.c -a -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_ah.h ] && echo ah
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_ah.h ] && echo ah
diff -up iptables-1.3.8/extensions/.opts-test6.headers iptables-1.3.8/extensions/.opts-test6
--- iptables-1.3.8/extensions/.opts-test6.headers	2007-08-23 15:49:16.000000000 +0200
+++ iptables-1.3.8/extensions/.opts-test6	2007-08-23 15:49:19.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_hbh.c -a -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_dst.c -a -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_opts.h ] && echo hbh dst
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_opts.h ] && echo hbh dst
diff -up iptables-1.3.8/extensions/.ipv6header-test6.headers iptables-1.3.8/extensions/.ipv6header-test6
--- iptables-1.3.8/extensions/.ipv6header-test6.headers	2007-08-23 14:05:45.000000000 +0200
+++ iptables-1.3.8/extensions/.ipv6header-test6	2007-08-23 15:50:26.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_ipv6header.c -a -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_ipv6header.h ] && echo ipv6header
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_ipv6header.h ] && echo ipv6header
diff -up iptables-1.3.8/extensions/.rt-test6.headers iptables-1.3.8/extensions/.rt-test6
--- iptables-1.3.8/extensions/.rt-test6.headers	2007-08-23 15:47:21.000000000 +0200
+++ iptables-1.3.8/extensions/.rt-test6	2007-08-23 15:47:23.000000000 +0200
@@ -1,2 +1,2 @@
 #!/bin/sh
-[ -f $KERNEL_DIR/net/ipv6/netfilter/ip6t_rt.c -a -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_rt.h ] && echo rt
+[ -f $KERNEL_DIR/include/linux/netfilter_ipv6/ip6t_rt.h ] && echo rt

iptables-1.3.8-iptc.patch:
 Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- NEW FILE iptables-1.3.8-iptc.patch ---
diff -up iptables-1.3.8/libiptc/Makefile.iptc iptables-1.3.8/libiptc/Makefile
--- iptables-1.3.8/libiptc/Makefile.iptc	2007-08-23 13:52:17.000000000 +0200
+++ iptables-1.3.8/libiptc/Makefile	2007-08-23 13:54:28.000000000 +0200
@@ -3,7 +3,7 @@
 EXTRAS+=libiptc/libiptc.a
 
 # libiptc is not a public interface and therefore not installed
-# DEVEL_LIBS+=libiptc/libiptc.a
+DEVEL_LIBS+=libiptc/libiptc.a
 
 ifndef TOPLEVEL_INCLUDED
 local:


Index: .cvsignore
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/.cvsignore,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- .cvsignore	2 Feb 2006 13:24:00 -0000	1.18
+++ .cvsignore	28 Aug 2007 15:14:25 -0000	1.19
@@ -4,3 +4,4 @@
 iptables-1.3.2.tar.bz2
 iptables-1.3.4.tar.bz2
 iptables-1.3.5.tar.bz2
+iptables-1.3.8.tar.bz2


Index: iptables.init
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/iptables.init,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- iptables.init	2 Feb 2006 13:24:00 -0000	1.11
+++ iptables.init	28 Aug 2007 15:14:25 -0000	1.12
@@ -7,6 +7,16 @@
 #
 # config: /etc/sysconfig/iptables
 # config: /etc/sysconfig/iptables-config
+#
+### BEGIN INIT INFO
+# Provides: iptables
+# Required-Start: $local_fs
+# Required-Stop: $local_fs
+# Default-Start:  2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: start and stop iptables firewall
+# Description: Start, stop and save iptables firewall
+### END INIT INFO
 
 # Source function library.
 . /etc/init.d/functions
@@ -15,17 +25,13 @@
 IPTABLES_DATA=/etc/sysconfig/$IPTABLES
 IPTABLES_CONFIG=/etc/sysconfig/${IPTABLES}-config
 IPV=${IPTABLES%tables} # ip for ipv4 | ip6 for ipv6
+[ "$IPV" = "ip" ] && _IPV="ipv4" || _IPV="ipv6"
 PROC_IPTABLES_NAMES=/proc/net/${IPV}_tables_names
 VAR_SUBSYS_IPTABLES=/var/lock/subsys/$IPTABLES
 
 if [ ! -x /sbin/$IPTABLES ]; then
     echo -n $"/sbin/$IPTABLES does not exist."; warning; echo
-    exit 0
-fi
-
-if lsmod 2>/dev/null | grep -q ipchains ; then
-    echo -n $"ipchains and $IPTABLES can not be used together."; warning; echo
-    exit 0
+    exit 5
 fi
 
 # Old or new modutils
@@ -54,8 +60,8 @@
     # Get referring modules.
     # New modutils have another output format.
     [ $NEW_MODUTILS = 1 ] \
-	&& ref=`lsmod | awk "/^${mod}/ { print \\\$4; }" | tr ',' ' '` \
-	|| ref=`lsmod | grep ^${mod} | cut -d "[" -s -f 2 | cut -d "]" -s -f 1`
+	&& ref=$(lsmod | awk "/^${mod}/ { print \$4; }" | tr ',' ' ') \
+	|| ref=$(lsmod | grep ^${mod} | cut -d "[" -s -f 2 | cut -d "]" -s -f 1)
 
     # recursive call for all referring modules
     for i in $ref; do
@@ -79,7 +85,7 @@
     [ -e "$PROC_IPTABLES_NAMES" ] || return 1
 
     # Check if firewall is configured (has tables)
-    tables=`cat $PROC_IPTABLES_NAMES 2>/dev/null`
+    tables=$(cat $PROC_IPTABLES_NAMES 2>/dev/null)
     [ -z "$tables" ] && return 1
 
     echo -n $"Flushing firewall rules: "
@@ -112,7 +118,7 @@
     [ ! -e "$PROC_IPTABLES_NAMES" ] && return 1
 
     # Check if firewall is configured (has tables)
-    tables=`cat $PROC_IPTABLES_NAMES 2>/dev/null`
+    tables=$(cat $PROC_IPTABLES_NAMES 2>/dev/null)
     [ -z "$tables" ] && return 1
 
     echo -n $"Setting chains to policy $policy: "
@@ -201,8 +207,12 @@
 	ret=0
 	rmmod_r ${IPV}_tables
 	let ret+=$?;
-	rmmod_r ${IPV}_conntrack
+	rmmod_r nf_conntrack_${_IPV}
 	let ret+=$?;
+	# try to unload remaining netfilter modules used by ipv4 and ipv6 
+	# netfilter
+	rmmod_r x_tables
+	rmmod_r nf_conntrack
 	[ $ret -eq 0 ] && success || failure
 	echo
     fi
@@ -216,7 +226,7 @@
     [ ! -e "$PROC_IPTABLES_NAMES" ] && return 1
 
     # Check if firewall is configured (has tables)
-    tables=`cat $PROC_IPTABLES_NAMES 2>/dev/null`
+    tables=$(cat $PROC_IPTABLES_NAMES 2>/dev/null)
     [ -z "$tables" ] && return 1
 
     echo -n $"Saving firewall rules to $IPTABLES_DATA: "
@@ -225,10 +235,10 @@
     [ "x$IPTABLES_SAVE_COUNTER" = "xyes" ] && OPT="-c"
 
     ret=0
-    TMP_FILE=`/bin/mktemp -q /tmp/$IPTABLES.XXXXXX` \
+    TMP_FILE=$(/bin/mktemp -q /tmp/$IPTABLES.XXXXXX) \
 	&& chmod 600 "$TMP_FILE" \
 	&& $IPTABLES-save $OPT > $TMP_FILE 2>/dev/null \
-	&& size=`stat -c '%s' $TMP_FILE` && [ $size -gt 0 ] \
+	&& size=$(stat -c '%s' $TMP_FILE) && [ $size -gt 0 ] \
 	|| ret=1
     if [ $ret -eq 0 ]; then
 	if [ -e $IPTABLES_DATA ]; then
@@ -249,24 +259,20 @@
 }
 
 status() {
-    tables=`cat $PROC_IPTABLES_NAMES 2>/dev/null`
+    tables=$(cat $PROC_IPTABLES_NAMES 2>/dev/null)
 
     # Do not print status if lockfile is missing and iptables modules are not 
     # loaded.
-    # Check if iptable module is loaded
+    # Check if iptable modules are loaded
     if [ ! -f "$VAR_SUBSYS_IPTABLES" -a -z "$tables" ]; then
 	echo $"Firewall is stopped."
-	return 1
+	return 3
     fi
 
     # Check if firewall is configured (has tables)
-    if [ ! -e "$PROC_IPTABLES_NAMES" ]; then
-	echo $"Firewall is not configured. "
-	return 1
-    fi
-    if [ -z "$tables" ]; then
+    if [ ! -e "$PROC_IPTABLES_NAMES" -o -z "$tables" ]; then
 	echo $"Firewall is not configured. "
-	return 1
+	return 3
     fi
 
     NUM=
@@ -290,23 +296,29 @@
     start
 }
 
+status >/dev/null 2>&1
+running=$?
+
 case "$1" in
     start)
-	stop
+	[ $running -eq 0 ] && exit 0
 	start
 	RETVAL=$?
 	;;
     stop)
+	[ $running -eq 0 ] || exit 0
 	[ "x$IPTABLES_SAVE_ON_STOP" = "xyes" ] && save
 	stop
 	RETVAL=$?
 	;;
-    restart)
+    restart|force-reload)
 	restart
 	RETVAL=$?
 	;;
-    condrestart)
-	[ -e "$VAR_SUBSYS_IPTABLES" ] && restart
+    condrestart|try-restart)
+	[ ! -e "$VAR_SUBSYS_IPTABLES" ] && exit 7
+	restart
+	RETVAL=$?
 	;;
     status)
 	status
@@ -323,7 +335,7 @@
 	;;
     *)
 	echo $"Usage: $0 {start|stop|restart|condrestart|status|panic|save}"
-	exit 1
+	RETVAL=3
 	;;
 esac
 


Index: iptables.spec
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/iptables.spec,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -r1.43 -r1.44
--- iptables.spec	19 Sep 2006 15:36:43 -0000	1.43
+++ iptables.spec	28 Aug 2007 15:14:25 -0000	1.44
@@ -1,47 +1,35 @@
 %define build_devel 1
 
 Name: iptables
-Summary: Tools for managing Linux kernel packet filtering capabilities.
-Version: 1.3.5
-Release: 2
-Source: http://www.netfilter.org/%{name}-%{version}.tar.bz2
+Summary: Tools for managing Linux kernel packet filtering capabilities
+Version: 1.3.8
+Release: 2%{?dist}
+Source: http://www.netfilter.org/projects/iptables/files/%{name}-%{version}.tar.bz2
 Source1: iptables.init
 Source2: iptables-config
-Patch2: iptables-1.2.8-nolibnsl.patch
-Patch4: iptables-1.2.9-netlink.patch
-Patch5: iptables-1.3.0-selinux.patch
-Patch6: iptables-1.2.10-counters.patch
-Patch8: iptables-1.3.0-cleanup.patch
-Patch9: iptables-1.3.0-autoload.patch
-Patch10: iptables-1.3.0-no_root.patch
-Patch11: iptables-1.3.5-secmark.patch
+Patch0: iptables-1.3.8-iptc.patch
+Patch1: iptables-1.3.8-headers.patch
 Group: System Environment/Base
 URL: http://www.netfilter.org/
-BuildRoot: %{_tmppath}/%{name}-buildroot
-License: GPL
-BuildRequires: /usr/bin/perl
+BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
+License: GPLv2
 BuildRequires: libselinux-devel
 Conflicts: kernel < 2.4.20
-Requires(post,postun): chkconfig
-Prefix: %{_prefix}
-
-%package ipv6
-Summary: IPv6 support for iptables.
-Group: System Environment/Base
-Requires: %{name} = %{version}
-
-%if %{build_devel}
-%package devel
-Summary: Development package for iptables.
-Group: System Environment/Base
-Requires: %{name} = %{version}
-%endif
+Requires(post): chkconfig
+Requires(preun): chkconfig
 
 %description
 The iptables utility controls the network packet filtering code in the
 Linux kernel. If you need to set up firewalls and/or IP masquerading,
 you should install this package.
 
+%package ipv6
+Summary: IPv6 support for iptables
+Group: System Environment/Base
+Requires: %{name} = %{version}-%{release}
+Requires(post): chkconfig
+Requires(preun): chkconfig
+
 %description ipv6
 The iptables package contains IPv6 (the next version of the IP
 protocol) support for iptables. Iptables controls the Linux kernel
@@ -52,27 +40,25 @@
 network and you are using ipv6.
 
 %if %{build_devel}
+%package devel
+Summary: Development package for iptables
+Group: System Environment/Base
+Requires: %{name} = %{version}-%{release}
+
 %description devel
-The iptables utility controls the network packet filtering code in the
-Linux kernel. If you need to set up firewalls and/or IP masquerading,
-you should install this package.
+iptables development headers and libraries.
+
+The iptc interface is upstream marked as not public. The interface is not 
+stable and may change with every new version. It is therefore unsupported.
 %endif
 
 %prep
-rm -rf %{buildroot}
-
 %setup -q
-%patch2 -p1 -b .nolibnsl
-%patch4 -p1 -b .netlink
-%patch5 -p1 -b .selinux
-%patch6 -p1 -b .counters
-%patch8 -p1 -b .cleanup
-%patch9 -p1 -b .autoload
-%patch10 -p1 -b .no_root
-%patch11 -p1 -b .secmark
+%patch0 -p1 -b .iptc
+%patch1 -p1 -b .headers
 
 # Put it to a reasonable place
-find . -type f -exec perl -pi -e "s,/usr/local,%{prefix},g" {} \;
+find . -type f -exec perl -pi -e "s,/usr/local,%{_prefix},g" {} \;
 
 # do not use ld -shared and _init
 perl -pi -e "s/\(LD\) -shared/\(CC\) -shared/g" Rules.make
@@ -83,11 +69,13 @@
 TOPDIR=`pwd`
 OPT="$RPM_OPT_FLAGS -I$TOPDIR/include -fPIC"
 export DO_SELINUX=1
-make COPT_FLAGS="$OPT" KERNEL_DIR=/usr LIBDIR=/%{_lib}
+make COPT_FLAGS="$OPT" KERNEL_DIR=/usr LIBDIR=/%{_lib} 
 make COPT_FLAGS="$OPT" KERNEL_DIR=/usr LIBDIR=/%{_lib} iptables-save iptables-restore
 make COPT_FLAGS="$OPT" KERNEL_DIR=/usr LIBDIR=/%{_lib} ip6tables-save ip6tables-restore
 
 %install
+rm -rf %{buildroot}
+export DO_SELINUX=1
 make install DESTDIR=%{buildroot} KERNEL_DIR=/usr BINDIR=/sbin LIBDIR=/%{_lib} MANDIR=%{_mandir}
 %if %{build_devel}
 make install-devel DESTDIR=%{buildroot} KERNEL_DIR=/usr BINDIR=/sbin LIBDIR=%{_libdir} MANDIR=%{_mandir}
@@ -103,9 +91,11 @@
 sed -e 's;iptables;ip6tables;g' -e 's;IPTABLES;IP6TABLES;g' < %{SOURCE2} > ip6tables-config
 install -c -m755 ip6tables-config $RPM_BUILD_ROOT/etc/sysconfig/ip6tables-config
 # install devel header files
-mkdir -p $RPM_BUILD_ROOT/usr/include
-install -c include/ip*.h $RPM_BUILD_ROOT/usr/include/
-
+mkdir -p $RPM_BUILD_ROOT%{_includedir}
+install -c -m644 include/ip*.h $RPM_BUILD_ROOT%{_includedir}
+# install libiptc header files (unsupported)
+mkdir -p $RPM_BUILD_ROOT%{_includedir}/libiptc
+install -c -m644 include/libiptc/*.h $RPM_BUILD_ROOT%{_includedir}/libiptc
 
 %clean
 rm -rf $RPM_BUILD_ROOT 
@@ -127,9 +117,9 @@
 fi
 
 %files
-%defattr(-,root,root,0755)
+%defattr(-,root,root)
 %doc COPYING INSTALL INCOMPATIBILITIES
-%config %attr(0755,root,root) /etc/rc.d/init.d/iptables
+%attr(0755,root,root) /etc/rc.d/init.d/iptables
 %config(noreplace) %attr(0600,root,root) /etc/sysconfig/iptables-config
 /sbin/iptables*
 %{_mandir}/man8/iptables*
@@ -137,8 +127,8 @@
 /%{_lib}/iptables/libipt*
 
 %files ipv6
-%defattr(-,root,root,0755)
-%config %attr(0755,root,root) /etc/rc.d/init.d/ip6tables
+%defattr(-,root,root)
+%attr(0755,root,root) /etc/rc.d/init.d/ip6tables
 %config(noreplace) %attr(0600,root,root) /etc/sysconfig/ip6tables-config
 /sbin/ip6tables*
 %{_mandir}/man8/ip6tables*
@@ -146,15 +136,43 @@
 
 %if %{build_devel}
 %files devel
-%defattr(-,root,root,0755)
+%defattr(-,root,root)
 %{_includedir}/ip*.h
 %{_includedir}/libipq.h
+%dir %{_includedir}/libiptc
+%{_includedir}/libiptc/*.h
 %{_libdir}/libipq.a
 %{_libdir}/libiptc.a
 %{_mandir}/man3/*
 %endif
 
 %changelog
+* Tue Aug 28 2007 Thomas Woerner <twoerner redhat com> 1.3.8-2
+- FC-6 version
+
+* Thu Aug 23 2007 Thomas Woerner <twoerner redhat com> 1.3.8-2
+- fixed initscript for LSB conformance (rhbz#246953, rhbz#242459)
+- provide iptc interface again, but unsupported (rhbz#216733)
+- compile all extension, which are supported by the kernel-headers package
+- review fixes (rhbz#225906)
+
+* Tue Jul 31 2007 Thomas Woerner <twoerner redhat com>
+- reverted ipv6 fix, because it disables the ipv6 at all (rhbz#236888)
+
+* Fri Jul 13 2007 Steve Conklin <sconklin redhat com> - 1.3.8-1
+- New version 1.3.8
+
+* Mon Apr 23 2007 Jeremy Katz <katzj redhat com> - 1.3.7-2
+- fix error when ipv6 support isn't loaded in the kernel (#236888)
+
+* Wed Jan 10 2007 Thomas Woerner <twoerner redhat com> 1.3.7-1.1
+- fixed installation of secmark modules
+
+* Tue Jan  9 2007 Thomas Woerner <twoerner redhat com> 1.3.7-1
+- new verison 1.3.7
+- iptc is not a public interface and therefore not installed anymore
+- dropped upstream secmark patch
+
 * Thu Sep 19 2006 Thomas Woerner <twoerner redhat com> 1.3.5-2
 - added secmark iptables patches (#201573)
 
@@ -342,7 +360,7 @@
 - Merge ip6tables improvements from Ian Prowell <iprowell prowell org>
   #59402
 - Update URL (#59354)
-- Use /sbin/chkconfig rather than chkconfig in %postun script
+- Use /sbin/chkconfig rather than chkconfig in %%postun script
 
 * Fri Jan 11 2002 Bernhard Rosenkraenzer <bero redhat com> 1.2.5-1
 - 1.2.5
@@ -351,7 +369,7 @@
 - automated rebuild
 
 * Mon Nov  5 2001 Bernhard Rosenkraenzer <bero redhat com> 1.2.4-2
-- Fix %preun script
+- Fix %%preun script
 
 * Tue Oct 30 2001 Bernhard Rosenkraenzer <bero redhat com> 1.2.4-1
 - Update to 1.2.4 (various fixes, including security fixes; among others:
@@ -397,7 +415,7 @@
 - fix bugzilla #25962 (iptables-restore)
 - mv chkconfig --del from postun to preun
 
-* Thu Feb  1 2001 Trond Eivind Glomsrød <teg redhat com>
+* Thu Feb  1 2001 Trond Eivind Glomsrød <teg redhat com>
 - Fix check for ipchains
 
 * Mon Jan 29 2001 Bernhard Rosenkraenzer <bero redhat com>
@@ -444,5 +462,5 @@
 * Mon Jun  4 2000 Bill Nottingham <notting redhat com>
 - remove explicit kernel requirement
 
-* Tue May  2 2000 Bernhard Rosenkränzer <bero redhat com>
+* Tue May  2 2000 Bernhard Rosenkränzer <bero redhat com>
 - initial package


Index: sources
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/sources,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- sources	2 Feb 2006 13:24:00 -0000	1.18
+++ sources	28 Aug 2007 15:14:25 -0000	1.19
@@ -1 +1 @@
-00fb916fa8040ca992a5ace56d905ea5  iptables-1.3.5.tar.bz2
+0a9209f928002e5eee9cdff8fef4d4b3  iptables-1.3.8.tar.bz2


--- iptables-1.2.10-counters.patch DELETED ---


--- iptables-1.2.11-autoload.patch DELETED ---


--- iptables-1.2.11-cleanup.patch DELETED ---


--- iptables-1.2.11-free.patch DELETED ---


--- iptables-1.2.8-nolibnsl.patch DELETED ---


--- iptables-1.2.9-netlink.patch DELETED ---


--- iptables-1.2.9-selinux.patch DELETED ---


--- iptables-1.3.0-autoload.patch DELETED ---


--- iptables-1.3.0-cleanup.patch DELETED ---


--- iptables-1.3.0-no_root.patch DELETED ---


--- iptables-1.3.0-selinux.patch DELETED ---


--- iptables-1.3.2-free_opts.patch DELETED ---


--- iptables-1.3.5-secmark.patch DELETED ---


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]